| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxRichTextParagraphStyleDefinition Class Reference
Rich Text

`#include <wx/richtext/richtextstyles.h>`

Inheritance diagram for wxRichTextParagraphStyleDefinition:
[legend]

## Detailed Description

This class represents a paragraph style definition, usually added to a wxRichTextStyleSheet.

##

Library: wxRichText
Category: Rich Text

## Public Member Functions
| wxRichTextParagraphStyleDefinition (const wxString &name=wxEmptyString)
| Constructor.
virtual | ~wxRichTextParagraphStyleDefinition ()
| Destructor.
const wxString & | GetNextStyle () const
| Returns the style that should normally follow this style.
void | SetNextStyle (const wxString &name)
| Sets the style that should normally follow this style.
Public Member Functions inherited from wxRichTextStyleDefinition
| wxRichTextStyleDefinition (const wxString &name=wxEmptyString)
| Constructor.
virtual | ~wxRichTextStyleDefinition ()
| Destructor.
const wxString & | GetBaseStyle () const
| Returns the style on which this style is based.
const wxString & | GetDescription () const
| Returns the style's description.
const wxString & | GetName () const
| Returns the style name.
virtual wxRichTextAttr | GetStyleMergedWithBase (const wxRichTextStyleSheet *sheet) const
| Returns the style attributes combined with the attributes of the specified base style, if any.
void | SetBaseStyle (const wxString &name)
| Sets the name of the style that this style is based on.
void | SetDescription (const wxString &descr)
| Sets the style description.
void | SetName (const wxString &name)
| Sets the name of the style.
void | SetStyle (const wxRichTextAttr &style)
| Sets the attributes for this style.
wxRichTextProperties & | GetProperties ()
| Returns the definition's properties.
const wxRichTextProperties & | GetProperties () const
| Returns the definition's properties.
void | SetProperties (const wxRichTextProperties &props)
| Sets the definition's properties.
wxRichTextAttr | GetStyle () const
| Returns the attributes associated with this style.
const wxRichTextAttr | GetStyle () const
| Returns the attributes associated with this style.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined.

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Constructor & Destructor Documentation

wxRichTextParagraphStyleDefinition::wxRichTextParagraphStyleDefinition | ( | const wxString & | name = `wxEmptyString` | ) |

Constructor.

virtual wxRichTextParagraphStyleDefinition::~wxRichTextParagraphStyleDefinition | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

const wxString& wxRichTextParagraphStyleDefinition::GetNextStyle | ( |  | ) | const

Returns the style that should normally follow this style.

void wxRichTextParagraphStyleDefinition::SetNextStyle | ( | const wxString & | name | ) |

Sets the style that should normally follow this style.